	//----------TLog开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.WorkOrderSys.Entity.Base;
using System.Runtime.Serialization;
	namespace Ewide.WorkOrderSys.Entity
	{	
        /// <summary>
        /// 数据表实体类：TLog 
        /// </summary>
		[Table("TLog")]
        public partial class TLog: BaseEntity        {    
		                    /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public string ID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Content")]   
				[DataMember]  
			    public string Content  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("CreateUserID")]   
				[DataMember]  
			    public string CreateUserID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("OperateType")]   
				[DataMember]  
			    public int OperateType  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Primarykey")]   
				[DataMember]  
			    public string Primarykey  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Browser")]   
				[DataMember]  
			    public string Browser  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Url")]   
				[DataMember]  
			    public string Url  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：TLog 
            /// </summary>
            public class TLogMap : EntityTypeConfiguration<TLog>
			{
                public TLogMap()
                {
					this.ToTable("TLog");
												this.HasKey(t => t.ID);
													 this.Property(t => t.Content).HasColumnName("Content");
													 this.Property(t => t.CreateTime).HasColumnName("CreateTime").IsRequired();
													 this.Property(t => t.CreateUserID).HasColumnName("CreateUserID");
													 this.Property(t => t.OperateType).HasColumnName("OperateType").IsRequired();
													 this.Property(t => t.Primarykey).HasColumnName("Primarykey");
													 this.Property(t => t.Browser).HasColumnName("Browser").IsRequired();
													 this.Property(t => t.Url).HasColumnName("Url").IsRequired();
										}
			}**/

	}

	//----------TLog结束----------

	